// adapters/responses/register.adapter.js
function mapRegisterRequestToRegisterInput(input) {
  return {
    username: input.username,
    email: input.email,
    password: input.password,
  }
}

function mapRegisterResultToResponse(result) {
  return {
    token: result.accessToken, // <-- KRİTİK
    user: result.user,
  }
}

module.exports = {
  mapRegisterRequestToRegisterInput,
  mapRegisterResultToResponse,
}
